aboutsummaryrefslogtreecommitdiff
path: root/dev/libs/libgpg-error/libgpg-error.SlackBuild
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-22 01:40:43 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-22 01:40:43 +0000
commit063e9b6e54d7ba8a7c105fc65df66438f0b163d2 (patch)
treefa510e23d90e561e5c459baaedc1a18d02b6cc4d /dev/libs/libgpg-error/libgpg-error.SlackBuild
parent8c7ca4ef0a1074114f5ed67ff2d9790c7d1dc517 (diff)
downloadslackbuilds-063e9b6e54d7ba8a7c105fc65df66438f0b163d2.tar.gz
slackbuilds-063e9b6e54d7ba8a7c105fc65df66438f0b163d2.tar.bz2
Adicionando "-C $SRC_DIR" ao tar, em todos SlackBuilds que eu ja fiz
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@946 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev/libs/libgpg-error/libgpg-error.SlackBuild')
-rwxr-xr-xdev/libs/libgpg-error/libgpg-error.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/dev/libs/libgpg-error/libgpg-error.SlackBuild b/dev/libs/libgpg-error/libgpg-error.SlackBuild
index 496732d4..d13103ff 100755
--- a/dev/libs/libgpg-error/libgpg-error.SlackBuild
+++ b/dev/libs/libgpg-error/libgpg-error.SlackBuild
@@ -91,8 +91,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -167,5 +167,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi